Summary:	H264 video codec for mediastreamer
Summary(pl.UTF-8):	Kodek obrazu H264 dla mediastreamera
Name:		mediastreamer-plugin-msx264
Version:	1.5.4
Release:	2
License:	GPL v2+
Group:		Libraries
#Source0Download: https://gitlab.linphone.org/BC/public/msx264/-/tags
Source0:	https://gitlab.linphone.org/BC/public/msx264/-/archive/%{version}/msx264-%{version}.tar.bz2
# Source0-md5:	3829813876f33bd30c50519d66b07c18
Patch0:		msx264-ms2-update.patch
URL:		https://gitlab.linphone.org/BC/public/msx264
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	mediastreamer-devel >= 2.7.0
# ABI 67
BuildRequires:	libx264-devel >= 0.1.3-1.20091001
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(x264) >= 0.67.0
Requires:	libx264 >= 0.1.3-1.20091001
Requires:	mediastreamer >= 2.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package supplies the mediastreamer plugin for the H264 video
codec.

%description -l pl.UTF-8
Ten pakiet udostępnia wtyczkę mediastreamera do kodeka obrazu H264.

%prep
%setup -q -n msx264-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-strict

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/mediastreamer/plugins/libmsx264.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/mediastreamer/plugins/libmsx264.so*
%changelog
* Wed Mar 06 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediastreamer-plugin-msx264.git;a=log;h=master

* Wed Mar 06 2024 Jan Rękorajski <baggins@pld-linux.org> a436ca6
- Release 2 (by relup.sh)

* Sun Jul 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 9c747d4
- new URLs, updated to 1.5.4
- added ms2-update patch from git, disable -Werror

* Tue Jul 06 2021 Jan Rękorajski <baggins@pld-linux.org> a5241b2
- Release 3 (by relup.sh)

* Mon Jan 14 2019 Jan Palus <atler@pld-linux.org> 036a3fa
- libx264 rebuild
- release 2 (by relup.sh)

* Sat Sep 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b08d08
- up to 1.5.3

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8709c8b
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a0db885
- release 2 (by relup.sh)

* Wed Nov 11 2015 Jakub Bogusz <qboosh@pld-linux.org> e4e14e2
- updated to 1.5.2

* Fri Jul 31 2015 Jakub Bogusz <qboosh@pld-linux.org> b71cab6
- updated to 1.5.1

* Thu Jul 09 2015 Jan Rękorajski <baggins@pld-linux.org> aedae45
- release 4 (by relup.sh)

* Sat Mar 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 36020ba
- x264 rebuild
- release 3 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> a5e210b
- release 2 (by relup.sh)

* Thu Jul 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 46621a4
- new

